Page MenuHomePhabricator

Add reserved IDs to EntitySchema
Closed, ResolvedPublic

Description

Implement a list of predefined EntitySchemas to be created when the extension goes live in production.

Suggested by Andra & ShEx Wikiproject:

ID -> Label (en) - Description (en)

E1 -> ShExR.shex - Schema of ShEx
E2 -> Wikimedia.shex - Schema of Wikimedia projects in Wikidata
E3 -> Wikidata Item.shex - Schema of a Wikidata item
E4 -> Labels/Descriptions.shex - Schema of labels and descriptions
E5 -> Statement.shex - Schema of a Statement
E6 -> Language mappings - Schema for language mappings in Wikidata
E7 -> Citation.shex - Schema of a Citation
E8 -> External RDF.shex - Schema of a Citation
E9 -> Wikidata-Wikibase.shex - Schema linking wikibase and wikidata

E40 -> Routes.shex -European routes
E42 -> Author.shex - schema for Authors
E123 -> Toy.shex - Sandbox schema
E570 -> Humans who died recently.shex - scheme for humans who died recently
E734 - Family name.shex - basic scheme for family name items
E735 => Given name.shex - basic scheme for given name items
E999 -> B0rked.shex - Broken schema
E1234 -> Sandbox.shex - a second sandbox schema
E3300 - Human.shex - basic scheme for Q5
E11424 -> Films.shex - basic scheme for films
E12345 -> Model.shex - a third sandbox schema

Event Timeline

Michael created this task.May 21 2019, 12:23 PM
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 21 2019, 12:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Some not so random suggestions:

  • E55 => scheme for European routes. Named for E55, a route that runs through Berlin
  • E570 => scheme for Q5 who died recently, with dob, dod, pob, pod, given name, occupation, manner of death. Named for Property:P570
  • E734 => basic scheme for family name items: with native label, writing system, Soundex, see also. Named for Property:P734
  • E735 => basic scheme for given name items: with native label, writing system, see also. Named for Property:P735
  • E3300 => basic scheme for Q5 with gender, occupation, given name, dob. Named for .. whatever
  • E11424 => basic scheme for films with core properties (P31, P1476, P577, P364, P136, P57, P161, P344, P38). Named for Item Q11424

@Michael your gerrit patch is not connected to this ticket :(

Some not so random suggestions:

  • E55 => scheme for European routes. Named for E55, a route that runs through Berlin

I really like the suggestion for a schema for a highway. Is there a special story that makes E55 an epic highway? E40 might also be a nice one (https://www.wikidata.org/wiki/Q327162), because that will have to cover many multilingual features given it is an 8000 km highway starting in Calais and going all the way to Kazakhstan.

  • E570 => scheme for Q5 who died recently, with dob, dod, pob, pod, given name, occupation, manner of death. Named for Property:P570
  • E734 => basic scheme for family name items: with native label, writing system, Soundex, see also. Named for Property:P734
  • E735 => basic scheme for given name items: with native label, writing system, see also. Named for Property:P735
  • E3300 => basic scheme for Q5 with gender, occupation, given name, dob. Named for .. whatever
  • E11424 => basic scheme for films with core properties (P31, P1476, P577, P364, P136, P57, P161, P344, P38). Named for Item Q11424

Yes makes sense!!

@Andrawaag What do you think? :)

I picked E55 from https://en.wikipedia.org/wiki/European_route mainly because it's a longer one that runs through Berlin (where WMDE offices are). E40 is a good choice too.

Maybe
*E1234
*E12345
should be sandboxes as well. We have L1234, but there it was thought that a predefined third one would have been good to have.

enwiki:Enn pages might inspire others: lightbulbs, submarines, BMWs and electric components have E numbers too. ;)

Thanks for your suggestions! I updated the task. (I added only one extra sandbox, I think having two of them is enough)
Since we have to implement this list before deployment happens next weeks, we are now closing this suggestion list :)

ericP added a subscriber: ericP.EditedMay 23 2019, 10:34 AM

propose adding E12345 to the list 'cause it's not uncommon to have to model three interconnected schemas and E123{,4{,5}} is a nice mnemonic for a scratch space for that.
other than that, +1 to calling this done.

Anyways, thanks for adding so many of the suggestions. I'm aware that it's usually up to the coders to pick them.

FYI we removed " E3300 - Human.shex - basic scheme for Q5" as Q3300 is probably not the kind of human we want to highlight with an Easter Egg. We replaced it with E10.

np. I made E27 directly .. bad news is: now I have to come up with items that match the scheme ;)

noarave closed this task as Resolved.Jun 3 2019, 9:41 AM
noarave added a subscriber: noarave.

As EntitySchema is already deployed, this can be closed.